Name:		centerim
Summary:	Console ncurses based multi-protocol instant messenger
Version:	5.0.1
Release:	%mkrel 8
License:	GPLv2+ and LGPLv2+
Group:		Networking/Instant messaging
URL:		https://www.centerim.org/
Source0:	https://www.centerim.org/download/cim5/%{name}5-%{version}.tar.gz
BuildRequires:	pkgconfig(libgadu)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnsl)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	gettext-devel
BuildRequires:	gpgme-devel
Obsoletes:	centericq
Provides:	centericq

%description
CenterIM is a text mode menu- and window-driven instant messenger. ICQ,
Yahoo!, AIM TOC, IRC, MSN, Gadu-Gadu and Jabber protocols are currently
supported.  There is also an internal RSS reader and a LiveJournal client.

CenterIM is a fork of the CenterICQ project.

%prep
%setup -q -n %{name}5-%{version}
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%find_lang %{name}5

%files -f %{name}5.lang
%doc README TODO AUTHORS
%{_bindir}/centerim5
%{_mandir}/man1/centerim5.1*
%{_libdir}/libcppconsui*
%{_libdir}/%{name}5


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 5.0.1-8.mga10
+ Revision: 2214410
- Mageia 10 Mass Rebuild

* Wed Apr 06 2022 umeabot <umeabot> 5.0.1-7.mga9
+ Revision: 1845828
- Mageia 9 Mass Rebuild

* Mon Jan 04 2021 daviddavid <daviddavid> 5.0.1-6.mga8
+ Revision: 1668615
- add build dependency on pkgconfig(libnsl) to fix build
+ wally <wally>
- drop unneeded autoconf patch

* Sat Oct 31 2020 wally <wally> 5.0.1-5.mga8
+ Revision: 1640833
- fix build with autoconf > 2.69

* Sun Jul 26 2020 daviddavid <daviddavid> 5.0.1-4.mga8
+ Revision: 1609174
- add missing BR on pkgconfig(ncursesw) to fix build

* Mon Feb 24 2020 umeabot <umeabot> 5.0.1-3.mga8
+ Revision: 1549783
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 5.0.1-2.mga7
+ Revision: 1296053
- Mageia 7 Mass Rebuild

* Sat Nov 04 2017 shlomif <shlomif> 5.0.1-1.mga7
+ Revision: 1175943
- missing dep
- New version 5.0.1

* Sat Sep 09 2017 cjw <cjw> 4.22.10-9.mga7
+ Revision: 1152181
- rebuild for openssl 1.1
- add -std=gnu++98 to CXXFLAGS to fix build with gcc 7

* Wed Mar 02 2016 umeabot <umeabot> 4.22.10-8.mga6
+ Revision: 983334
- Rebuild for openssl

* Tue Feb 02 2016 umeabot <umeabot> 4.22.10-7.mga6
+ Revision: 931112
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.22.10-6.mga5
+ Revision: 745523
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 4.22.10-5.mga5
+ Revision: 725004
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 4.22.10-4.mga5
+ Revision: 678350
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 fwang <fwang> 4.22.10-3.mga4
+ Revision: 505955
- build autoreconf
- fix debug slash
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.22.10-2.mga3
+ Revision: 347573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 fwang <fwang> 4.22.10-1.mga3
+ Revision: 333569
- fix build with recent gcc

* Sun Jan 09 2011 kharec <kharec> 4.22.10-1.mga2
+ Revision: 1289
- imported package centerim


* Sun Dec 05 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.22.10-1mdv2011.0
+ Revision: 610624
- update to 4.22.10

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 4.22.9-2mdv2010.1
+ Revision: 537517
- rebuild

* Thu Jan 21 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.22.9-1mdv2010.1
+ Revision: 494439
- update sources to 4.22.9
- update to new version 4.22.9

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.22.8-2mdv2010.0
+ Revision: 455772
- rebuild for new curl SSL backend

* Sat Aug 15 2009 Frederik Himpe <fhimpe@mandriva.org> 4.22.8-1mdv2010.0
+ Revision: 416606
- update to new version 4.22.8

* Wed Mar 18 2009 Funda Wang <fwang@mandriva.org> 4.22.7-1mdv2009.1
+ Revision: 357124
- New version 4.22.7

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 4.22.5-2mdv2009.0
+ Revision: 266506
- rebuild early 2009.0 package (before pixel changes)

* Sat May 03 2008 Frederik Himpe <fhimpe@mandriva.org> 4.22.5-1mdv2009.0
+ Revision: 200800
- Initial centerim import, based on the centericq spec which it obsoletes
- create centerim

